Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# TAO::DII_Invocation_Adapter Class Reference

Generic interface for the DII invocation object visible. More...

`#include <DII_Invocation_Adapter.h>`

Inheritance diagram for TAO::DII_Invocation_Adapter:

[legend]
Collaboration diagram for TAO::DII_Invocation_Adapter:

[legend]
List of all members.

## Public Methods
| DII_Invocation_Adapter (CORBA::Object *target, Argument **args, int arg_number, const char *operation, int op_len, CORBA::ExceptionList *exception, CORBA::Request *r, Invocation_Mode m=TAO_DII_INVOCATION)
virtual | ~DII_Invocation_Adapter (void)
## Protected Methods
virtual Invocation_Status | invoke_twoway (TAO_Operation_Details &op, CORBA::Object *&effective_target, Profile_Transport_Resolver &r, ACE_Time_Value *&max_wait_time ACE_ENV_ARG_DECL)
## Private Methods
| DII_Invocation_Adapter (void)
| Dont allow default initializations.
DII_Invocation_Adapter & | operator= (const DII_Invocation_Adapter &)
## Private Attributes
CORBA::ExceptionList * | exception_list_
CORBA::Request * | request_

## Detailed Description

Generic interface for the DII invocation object visible.

## Constructor & Destructor Documentation

TAO::DII_Invocation_Adapter::DII_Invocation_Adapter | ( | CORBA::Object * | target,
|  | Argument ** | args,
|  | int | arg_number,
|  | const char * | operation,
|  | int | op_len,
|  | CORBA::ExceptionList * | exception,
|  | CORBA::Request * | r,
|  | Invocation_Mode | m = TAO_DII_INVOCATION
| ) |

  | Parameters:
  target | Points to the object on which this invocation is being invoked.
  args | Array of pointers to the argument list in the operation declaration. this includes the return, inout and out arguments.
  arg_number | Number of arguments in the above array. This is the number of elements in the above array.
  operation | The name of the operation being invoked.
  ope_len | Number of charecters in the operation name. This is an optimization which helps us to avoid calling strlen () while creating a message format.
  cpb | The collocation proxy broker for the target if one exists.
  type | The operation type which could be a oneway or two way operation. this information is availbe in the IDL file.
  mode | Invocation mode. This information is also available in the IDL file and in the generated code.

virtual TAO::DII_Invocation_Adapter::~DII_Invocation_Adapter | ( | void |  | ) | `[inline, virtual]`

TAO::DII_Invocation_Adapter::DII_Invocation_Adapter | ( | void |  | ) | `[private]`

| Dont allow default initializations.

## Member Function Documentation

Invocation_Status TAO::DII_Invocation_Adapter::invoke_twoway | ( | TAO_Operation_Details & | op,
|  | CORBA::Object *& | effective_target,
|  | Profile_Transport_Resolver & | r,
|  | ACE_Time_Value *&max_wait_time | ACE_ENV_ARG_DECL
| ) | `[protected, virtual]`

DII_Invocation_Adapter& TAO::DII_Invocation_Adapter::operator= | ( | const DII_Invocation_Adapter & |  | ) | `[private]`

## Member Data Documentation

CORBA::ExceptionList* TAO::DII_Invocation_Adapter::exception_list_`[private]`

CORBA::Request* TAO::DII_Invocation_Adapter::request_`[private]`

The documentation for this class was generated from the following files:

- DII_Invocation_Adapter.h
- DII_Invocation_Adapter.cpp